Last Comment Bug 448768 - Blocklist Skype extension version 3.3.0.3970 and below
: Blocklist Skype extension version 3.3.0.3970 and below
Status: VERIFIED FIXED
:
Product: Toolkit
Classification: Components
Component: Blocklisting (show other bugs)
: unspecified
: All All
: -- normal with 1 vote (vote)
: ---
Assigned To: Michael Morgan [:morgamic]
:
Mentors:
Depends on: 526415
Blocks: 524255
  Show dependency treegraph
 
Reported: 2008-08-01 01:39 PDT by Jason Barnabe (np)
Modified: 2016-03-07 15:30 PST (History)
20 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
screenshot of extension in use (46.60 KB, image/png)
2008-09-12 08:20 PDT, Dave Garrett
no flags Details
resulting blocklist (2.27 KB, text/xml)
2009-11-03 23:16 PST, Michael Morgan [:morgamic]
no flags Details

Description Jason Barnabe (np) 2008-08-01 01:39:00 PDT
The Skype extension is installed when you install Skype. It causes various problems in Firefox:

-Makes pages reload themselves for no reason
-Makes Firefox hang
-Makes images not work (especially Google Maps)
-Makes direct links to PDFs not work

A newer (possibly still in beta) version reportedly fixes at least the Google Maps problem. https://developer.skype.com/SkypeToolbars/

Below are the number of sumo forum threads where "Skype" was mentionned by a replier. (A quick check shows 9 out of 10 were suggestions to remove it)

| 2008-07-01 |  3 | 
| 2008-07-02 |  3 | 
| 2008-07-03 |  7 | 
| 2008-07-04 |  5 | 
| 2008-07-05 |  9 | 
| 2008-07-06 | 11 | 
| 2008-07-07 |  4 | 
| 2008-07-09 |  5 | 
| 2008-07-10 |  3 | 
| 2008-07-11 |  3 | 
| 2008-07-12 |  4 | 
| 2008-07-13 | 12 | 
| 2008-07-14 |  5 | 
| 2008-07-15 |  2 | 
| 2008-07-16 |  6 | 
| 2008-07-18 |  4 | 
| 2008-07-19 |  6 | 
| 2008-07-20 |  4 | 
| 2008-07-21 |  2 | 
| 2008-07-22 |  6 | 
| 2008-07-23 |  2 | 
| 2008-07-24 |  9 | 
| 2008-07-25 |  7 | 
| 2008-07-26 |  5 | 
| 2008-07-27 |  5 |

A sampling of the above:
http://support.mozilla.com/tiki-view_forum_thread.php?forumId=1&comments_parentId=106320
http://support.mozilla.com/tiki-view_forum_thread.php?forumId=1&comments_parentId=106980
http://support.mozilla.com/tiki-view_forum_thread.php?forumId=1&comments_parentId=107141
http://support.mozilla.com/tiki-view_forum_thread.php?forumId=1&comments_parentId=107344
http://support.mozilla.com/tiki-view_forum_thread.php?forumId=1&comments_parentId=107599
http://support.mozilla.com/tiki-view_forum_thread.php?forumId=1&comments_parentId=107740
http://support.mozilla.com/tiki-view_forum_thread.php?forumId=1&comments_parentId=110118
http://support.mozilla.com/tiki-view_forum_thread.php?forumId=1&comments_parentId=110469
http://support.mozilla.com/tiki-view_forum_thread.php?forumId=1&comments_parentId=110918
http://support.mozilla.com/tiki-view_forum_thread.php?forumId=1&comments_parentId=111063
http://support.mozilla.com/tiki-view_forum_thread.php?forumId=1&comments_parentId=111073
http://support.mozilla.com/tiki-view_forum_thread.php?forumId=1&comments_parentId=112085
http://support.mozilla.com/tiki-view_forum_thread.php?forumId=1&comments_parentId=112216
http://support.mozilla.com/tiki-view_forum_thread.php?forumId=1&comments_parentId=113491
http://support.mozilla.com/tiki-view_forum_thread.php?forumId=1&comments_parentId=113841
http://support.mozilla.com/tiki-view_forum_thread.php?forumId=1&comments_parentId=114135
http://support.mozilla.com/tiki-view_forum_thread.php?forumId=1&comments_parentId=115031
http://support.mozilla.com/tiki-view_forum_thread.php?forumId=1&comments_parentId=115123
http://support.mozilla.com/tiki-view_forum_thread.php?forumId=1&comments_parentId=115606
http://support.mozilla.com/tiki-view_forum_thread.php?forumId=1&comments_parentId=115660
http://support.mozilla.com/tiki-view_forum_thread.php?forumId=1&comments_parentId=116059
http://support.mozilla.com/tiki-view_forum_thread.php?forumId=1&comments_parentId=116311
http://support.mozilla.com/tiki-view_forum_thread.php?forumId=1&comments_parentId=116458
http://support.mozilla.com/tiki-view_forum_thread.php?forumId=1&comments_parentId=116474
http://support.mozilla.com/tiki-view_forum_thread.php?forumId=1&comments_parentId=116734
http://support.mozilla.com/tiki-view_forum_thread.php?forumId=1&comments_parentId=116794
http://support.mozilla.com/tiki-view_forum_thread.php?forumId=1&comments_parentId=117165
http://support.mozilla.com/tiki-view_forum_thread.php?forumId=1&comments_parentId=117374
http://support.mozilla.com/tiki-view_forum_thread.php?forumId=1&comments_parentId=117555
http://support.mozilla.com/tiki-view_forum_thread.php?forumId=1&comments_parentId=117683
http://support.mozilla.com/tiki-view_forum_thread.php?forumId=1&comments_parentId=117727
http://support.mozilla.com/tiki-view_forum_thread.php?forumId=1&comments_parentId=117784
http://support.mozilla.com/tiki-view_forum_thread.php?forumId=1&comments_parentId=118291

The KB article that covers the screwed up image case (http://support.mozilla.com/en-US/kb/The+image+cannot+be+displayed+because+it+contains+errors) was voted "this solved my problem" by 66% (103) of users. http://support.mozilla.com/tiki-poll_results.php?pollId=1361

mz forum threads: http://www.google.com/cse?cx=003258325049489668794%3Adrr0nlojlas&ie=UTF-8&q=skype&sa=Go
Comment 1 Justin Scott [:fligtar] 2008-08-01 06:28:51 PDT
(In reply to comment #0)
> -Makes pages reload themselves for no reason
> -Makes Firefox hang
> -Makes images not work (especially Google Maps)
> -Makes direct links to PDFs not work

This isn't enough to blocklist, in my opinion. Every extension has bugs that are fixed by newer versions and we don't blocklist those. Sure, blocklisting all old versions everytime a new version of an extension is released would solve some problems. But if the only thing the new version fixes is a Google Maps problem, I don't think it's enough even on a case-by-case basis to do this.

However, I also know that some users may not know they've installed the Skype extension because they don't quite do it themselves in the normal way an extension is installed. I haven't installed Skype in a while so I don't remember what the UI is, but for me the question here is whether a user is sufficiently told they are installing the Skype extension for Firefox when they install Skype. If they are, then I don't think we should blocklist. If they aren't, then I think this is an exception and may be appropriate for blocklisting when a version that actually fixes more of the problems is available.
Comment 2 Dave Townsend [:mossop] 2008-08-01 11:35:41 PDT
(In reply to comment #1)
> (In reply to comment #0)
> > -Makes pages reload themselves for no reason
> > -Makes Firefox hang
> > -Makes images not work (especially Google Maps)
> > -Makes direct links to PDFs not work
> 
> This isn't enough to blocklist, in my opinion. Every extension has bugs that
> are fixed by newer versions and we don't blocklist those. Sure, blocklisting
> all old versions everytime a new version of an extension is released would
> solve some problems. But if the only thing the new version fixes is a Google
> Maps problem, I don't think it's enough even on a case-by-case basis to do
> this.

I agree. In addition we should never be blocklisting without first reaching out to the extension authors to simply get the problems solved and an update released to avoid the need to blocklist at all. Do we have any contacts at Skype?
Comment 3 Dave Garrett 2008-08-01 14:33:22 PDT
Here are some recent bugs caused by the Skype extension:
bug 440194: Breaks Google Maps ("fixed" 4 different times according to changelog)
bug 446661: Firefox restarts broken; no bookmarks etc.
bug 440994: Breaks videos from on msn.com
bug 441118: Closing Skype closes/crashes Firefox
bug 442320: Lockup when accessing PDF

There are quite a few older ones you can search for if you want. This is a fairly buggy extension. The question is: at what point is it _too_ buggy? Even if they eventually fix some of their problems, they don't have a good track record.
Comment 4 Jason Barnabe (np) 2008-08-01 21:05:40 PDT
(In reply to comment #1)
> Every extension has bugs that
> are fixed by newer versions and we don't blocklist those.

There's a difference between a bug in an extension that prevents the extension from working and a bug in an extension that prevents Firefox from working.

> (In reply to comment #2)
> we should never be blocklisting without first reaching out
> to the extension authors to simply get the problems solved and an update
> released to avoid the need to blocklist at all.

Generally what I've seen of the process has been to file a bug asking for blocklisting which then makes someone talk to the author. It kinda of backwards IMO.
Comment 5 Shawn Wilsher :sdwilsh 2008-09-12 08:03:20 PDT
It's also a contributing factor to bug 452469.  Not 100% sure why yet...
Comment 6 Dave Garrett 2008-09-12 08:20:49 PDT
Created attachment 338321 [details]
screenshot of extension in use

The problem with this extension isn't just that it's buggy but rather that its implementation is not that good of an idea. The Skype extension changes page content inline, rather than just adding a context menu or something. Thus there's always a possibility that it will change the wrong thing and mess up the layout, or worse. Attached is a screenshot I found of what this thing is supposed to do. It trys to detect what it thinks is a phone number and turns it into a button for Skype, complete with an added flag with a dropdown menu.  (http://www.skype.com/help/guides/ff_extension/)

What I think makes this block-worthy is the fact that this extension is installed without user knowledge or permission. It has a long list of problems don't ever seem to get fully fixed. I think blocklisting is probably the best route and if they ever fix their bugs and stop the auto-install then that version could be unbanned.
Comment 7 Dave Garrett 2008-09-30 15:01:09 PDT
See bug 457922. New problems keep getting reported with this extension.
Comment 8 Michael Morgan [:morgamic] 2009-01-23 11:17:36 PST
We should contact Skype.  This is a really popular extension -- one of the most popular -- so we should try to work with Skype.
Comment 9 acp 2009-03-06 02:03:42 PST
Over the last few days I ran into some problems, which seem to be related to this extension: I simply couldn't open any pop-up window that requires you to upload/attach media files, like your regular Manage attachments modules in vBulletin forums, or any browser application that requires media uploads via pop-up windows. I disabled all extensions, and I found out this was caused by Skype extension for Firefox 2.2.0.102, this was the only one in my list that blocked these pop-ups. Moreover, it seems to be correlated with the "Firefox is already running, but is not responding issue", since every time I closed the browser and restarted I got this message, and needed to kill the firefox.exe in my Task Manager.

note: It appeared out of the blue, without me installing anything lately, and it occus in 3.0.7 as well.
Comment 10 Samuel Sidler (old account; do not CC) 2009-04-04 16:04:50 PDT
Kev or Rey: Do you have any Skype contacts? (comment 8)
Comment 11 Kev Needham [:kev] 2009-04-04 16:58:07 PDT
I do. Will contact the product mgmt team there and ask them to review this.
Comment 12 Peter Kalmström, PM Skype Toolbars 2009-04-06 22:57:05 PDT
Hi all,
I am the product manager for the Skype extension for Firefox. We are constantly improving and fixing the Skype extension for Firefox to be able to make it as good as we possibly can. 
We have apologized for, acknowledged and fixed the above mentioned issues and when users upgrade to the latest version of Skype they automatically get an updated version of the Skype extension for Firefox also.

The version of the Firefox that is the most current public one is numbered 2.2.0.102 so I am very much concerned about acp's described issue above. 
We will start looking into the problem and we promise to fix it asap.
Please assign any other problems with the FF extension to me and I will make sure they are taken care of.

Best regards
Peter Kalmström, PM Skype Toolbars
Comment 13 Michael Morgan [:morgamic] 2009-05-22 09:51:22 PDT
Peter, were these issues fixed?
Comment 14 Dave Garrett 2009-05-22 10:45:35 PDT
Jason, what's the SUMO traffic like with regard to Skype these days? (more/less?) The information in comment 0 is old now.

As to Skype related bugs here since my brief sampling in comment 3:
bug 449965: crashes after a few hours
bug 455635: breaks sound
bug 457922: breaks Firefox startup
bug 458171: probable Skype crash
bug 460031: breaks address bar
bug 467280: error/crash with Skype install
bug 471170: Skype crash
bug 480319: wrongly refreshing frames
bug 493055: breaks new window function

And even a few non-Mozilla related Skype bug reports:
bug 482362, bug 485027, & bug 487270

This of course is just a quick search so there may be more.
Comment 15 Peter Kalmström, PM Skype Toolbars 2009-05-26 01:55:59 PDT
As are as we know these issues have long ago been fixed.
With an uprade to the latest version of Skype, the Skype extension for Firefox will also automatically be upgraded to the latest version and the problems above should all be resolved.
My apologies for the trouble caused! I appreciate the feedback!

Best regards
Peter Kalmström, PM Skype Toolbars
Comment 16 Noah (oldtimer) [:Noah] 2009-08-15 09:25:09 PDT
Whatever, Skype. You'll say anything to prevent your plugin from getting blocklisted.

Dated July 24, 2009:
http://support.mozilla.com/tiki-view_forum_thread.php?&forumId=1&comments_parentId=396776#threadId399859

And countless others who don't know what's going on and continuously blame Firefox for these problems that are the fault of Skype. It's obvious they don't test the plugin. Let's improve the quality of life for users worldwide & blocklist this plugin.

Obviously they don't know how to write a sane plugin and I don't propose we wait for that day that will never come. It's time accept the facts about this product.
Comment 17 Peter Kalmström, PM Skype Toolbars 2009-08-18 00:06:06 PDT
Hi Noah,
We will also do a lot to make sure we fix the issues that are found. Our extension is gettting better and we believe we have fixed the issues mentioned above. We still have a lot of work to do, though and we continue to work **** getting better. Are there any special problems you are experiencing right now, Noah? 
I would not oppose blocklisting our previous builds if you think that will be beneficial to our common customers.

Best regards
Peter Klamström, PM Skype Toolbars
Comment 18 Noah (oldtimer) [:Noah] 2009-08-30 10:50:44 PDT
I was not personally experiencing the problems. But I help users @ http://support.mozilla.com/tiki-view_forum.php?forumId=1

There there are countless reported slow browsing/pictures not loading issues and who knows how many of them are caused by your product.

The first post of the thread I posted in comment 16 lists his issues:
-browser kept getting slower and slower as I used it.
-pages took forever to load
-many, many "Server Not Found" errors
-pictures not loading
-pages not loading with styles

YouTube specifically wouldn't load properly, I had MANY "error occurred try again later" messages.

Skype has no business being installed with Firefox. This buffoonery is unforgivable. Look at what your addon does. You are not going to solve this.
Comment 19 Noah (oldtimer) [:Noah] 2009-09-12 16:38:09 PDT
(In reply to comment #17)
> I would not oppose blocklisting our previous builds if you think that will be
> beneficial to our common customers.
I completely missed this part before writing my earlier reply. I assumed you would not be in favor of that, as it seems every company wants to resist having their product blocked naturally. But I'm glad you agree.

As for the negative tone, I simply relayed the feelings of the users I dealt with back onto you. So with that in mind, you're a nice fellow, it's just your product is driving many users mad.

Your addon as well the separate software itself seems to grab hold of one's internet and cripple it. Some users disable/uninstall the addon - problem resolved. Some have reported needing to uninstall the entire application. Your software is touching too many things, it needs a serious review.

I've gathered alot of feedback here (unfortunately not many people list exact versions; which I expected):
Major slowdown/freezing on Gmail & Facebook sites due to Skype addon https://support.mozilla.com/tiki-view_forum_thread.php?comments_parentId=435530&forumId=1
Comment 20 Noah (oldtimer) [:Noah] 2009-09-18 21:02:07 PDT
This post here describes the full extent of the problem with a technical breakdown: http://forum.skype.com/index.php?showtopic=111907&view=findpost&p=1805621
Comment 21 Peter Kalmström, PM Skype Toolbars 2009-09-18 21:13:31 PDT
It does describe the problem and it also at least partly confirms that the issues are fixed in the extension version that comes with the latest version of Skype. As I have said before I am not against blocklisting previous versions.
Comment 22 Michael Morgan [:morgamic] 2009-10-01 15:47:48 PDT
Can we get the extension guid and the versions we'd blocklist?
Comment 23 Peter Kalmström, PM Skype Toolbars 2009-10-02 03:05:38 PDT
Not all versions prior to 3.3.0.3971 have problems but I am ok with blocklisting all of them, since the new versions are so much better in many ways. All of our extensions have the same GUID : {B13721C7-F507-4982-B2E5-502A71474FED}. Please don't blocklist version 3.3.0.391 or later though - our customers seem to be happy with those.
Comment 24 Noah (oldtimer) [:Noah] 2009-10-03 20:15:21 PDT
>Please don't blocklist version 3.3.0.391 or later though - our customers seem to be happy with those.
That statement is contradictory of what is posted in the forums of both Skype and Mozilla's. In fact, the problem is reported with a version as new as 4.1.0.141.

So your request to not block 3.3.0.391 or later doesn't make sense.

Are you reading the links I'm posting?
(4.1.0.141 aka 3.3.0.3789)
http://forum.skype.com/index.php?showtopic=111907&view=findpost&p=1898611

(4.1.0.141 aka 3.3.0.3789)
http://forum.skype.com/index.php?showtopic=111907&view=findpost&p=1831751

(Skype 4.1.0.141 extension for Firefox 3.5.3 Screws Gmail)
http://forum.skype.com/index.php?showtopic=424621&view=findpost&p=1946061

(3.3.0.3789)
http://forum.skype.com/index.php?showtopic=111907&view=findpost&p=1806771

Carefully review the version numbers posted there...

And what data are you basing this on that users are happy with these versions?

Everything below version 3.3.0.3789 should be blocklisted. I thought the exception could be the 2.x series but after reading http://forum.skype.com/index.php?showtopic=105728&view=findpost&p=665071 -  I changed my mind (2.2.0.80 broke images). I think the major problems flared up starting with the 3 series but there's definitely problems with 2 series as well.
Comment 25 Noah (oldtimer) [:Noah] 2009-10-03 20:23:04 PDT
Ugh, crap - Peter made a typo and said 3.3.0.391 instead of 3.3.0.3971, leading me restate the already known facts. Well at least, we know now. :P

Carry on.
Comment 26 Peter Kalmström, PM Skype Toolbars 2009-10-05 01:58:30 PDT
I apologize for the typo!
Comment 27 Jesse Ruderman on Windows 2009-10-23 18:19:58 PDT
Sounds like we should go ahead and block versions 3.3.0.3789 and below.

FWIW, I just ran across a memory leak bug involving 2.2.0.102 (bug 507512).
Comment 28 Jesse Ruderman 2009-10-23 20:51:49 PDT
About 4% of Firefox users have 3.3.0.3971 (newest), 4% have 2.2.0.102 (oldest?), and 3% have other versions.  So if we blocklisted old versions, about 7% of Firefox users would notice.
Comment 29 Jesse Ruderman 2009-10-23 20:57:09 PDT
Blocklisting old versions would fix the #87 topcrash (bug 524255).
Comment 30 Dave Garrett 2009-10-23 21:27:14 PDT
I'm going to drop the vagueness of the title and put the "certain version" noted above in, then. Can this move forward at some point soon now?

For the blocklist page blurb I'd recommend something simple and generic like "Reason: causes crashes and breaks core features".
Comment 31 Dave Garrett 2009-10-23 21:41:12 PDT
How hard to we wish to block this, now that we have a choice? This might be a good candidate for a soft block (block with option to override). We could even consider a hybrid and soft block for vaguely recent versions and hard block for the older buggier ones. I think the system should allow specifying more than one version range per add-on with different severities now.
Comment 32 Jesse Ruderman 2009-10-23 22:28:27 PDT
Could we put the new version on AMO and let users update to it automatically?  Or can it only be updated by updating Skype?
Comment 33 Samuel Sidler (old account; do not CC) 2009-10-29 14:37:12 PDT
Peter: It would be good to hear your comments on comment 32 as well as on my comment here.

Based on comments in this bug, and more specifically confirmation from Skype that this is an acceptable path (comment 23), we should blocklist all versions of the Skype extension less than 3.3.0.3971. That is, 3.3.0.3971 should remain active and unblocked. The GUID for the Skype extension is {B13721C7-F507-4982-B2E5-502A71474FED}.

Because there's not an automatic way for users to update, we should soft-block this add-on. If there becomes a method for them to easily update -- either via AMO or via another method Skype implements -- then we should switch this block to a hard block. The reason for the blocklist should be listed as "stability" since there are no known security issues with any version of the Skype extension.

The website should say:

  Skype extension, versions older than 3.3.0.3971, for all versions of Firefox. Reason: high crash volume and other stability issues (see bug 448768).

morgamic: Can you please begin the process of getting this add-on soft-blocked? This isn't urgent (like the WPF thing) but the sooner the better.
Comment 34 Kev Needham [:kev] 2009-10-29 14:44:45 PDT
Petr: would it also be possible for you folks to start hosting up-to-date versions of the Skype plugin that correct the issues people see on addons.mozilla.org so we have a place we can point people at to update that doesn't rely on updating the Skype app itself?
Comment 35 Samuel Sidler (old account; do not CC) 2009-10-29 18:59:31 PDT
We should wait to push this blocklist live until bug 505031 is fixed, which will hopefully be tomorrow. My gut feeling is that a lot of Skype users are not using en-US, so they'll hit that bug quite a bit.
Comment 36 Peter Kalmström, PM Skype Toolbars 2009-10-30 02:05:56 PDT
(In reply to comment #34)
> Petr: would it also be possible for you folks to start hosting up-to-date
> versions of the Skype plugin that correct the issues people see on
> addons.mozilla.org so we have a place we can point people at to update that
> doesn't rely on updating the Skype app itself?

Yes, that is something we want to do and it will be done the future, most likely early 2010. I apologize for the delay!
Comment 37 Samuel Sidler (old account; do not CC) 2009-10-30 13:55:04 PDT
(In reply to comment #35)
> We should wait to push this blocklist live until bug 505031 is fixed, which
> will hopefully be tomorrow. My gut feeling is that a lot of Skype users are not
> using en-US, so they'll hit that bug quite a bit.

That bug is fixed. We're good to go.
Comment 38 Samuel Sidler (old account; do not CC) 2009-11-01 02:48:46 PST
Mike said he had started this, but I'm not sure if it's been completed. Mike?
Comment 39 Michael Morgan [:morgamic] 2009-11-02 13:28:46 PST
Yeah, looked at this on Friday, sorry.  One problem is that 3.3.0.3971 can't be the maxVersion because the blocklist is inclusive.  So we'd want maxVersion to be the latest blocked version (3.3.0.3970?).  Do you know what that version might be?
Comment 40 Samuel Sidler (old account; do not CC) 2009-11-02 13:51:05 PST
I'm not sure a 3.3.0.3970 exists in the wild, so it's fine to blocklist that version and below.
Comment 41 Samuel Sidler (old account; do not CC) 2009-11-03 23:03:13 PST
Mike?
Comment 42 Michael Morgan [:morgamic] 2009-11-03 23:16:14 PST
Created attachment 410161 [details]
resulting blocklist

INSERT INTO `blitems` ( `guid` , `min` , `max`) VALUES ( '{B13721C7-F507-4982-B2E5-502A71474FED}', ' ', '3.3.0.3970');
Comment 43 Michael Morgan [:morgamic] 2009-11-04 00:49:48 PST
Gotta push the website update in the AM.
Comment 44 Samuel Sidler (old account; do not CC) 2009-11-04 00:58:53 PST
(In reply to comment #43)
> Gotta push the website update in the AM.

No need. Just pushed an update out. I amended my website text in comment 33 to add "Users should update Skype." with a link to skype.com in there. Not the best (would prefer auto-update via AMO), but it'll do for now until early 2010. :)

Peter: Thanks again for your help in this bug, with both debugging and providing feedback on which versions were safe to block. It's much appreciated. :)
Comment 45 Dave Garrett 2009-11-04 11:01:45 PST
(In reply to comment #42)
> INSERT INTO `blitems` ( `guid` , `min` , `max`) VALUES (
> '{B13721C7-F507-4982-B2E5-502A71474FED}', ' ', '3.3.0.3970');

I thought we were going to soft block this one? Is there a reason not to?
Comment 46 Dave Garrett 2009-11-04 19:11:14 PST
I just tested on Windows with latest Skype 4.1.0.179 (extension version 3.3.0.3971) and it is allowed fine. Bump its version down one and it's blocked fully.

I, however, have a guy yelling at me via email saying he has Skype 4.1.0.179 and it won't let him use it. (why me rather than the owner of the bug, I don't know) I don't know what's going on there. In any case, a soft block would've avoided that. Maybe he'll reply here with more info.

The new entry as saved by Firefox is currently:
    <emItem id="{B13721C7-F507-4982-B2E5-502A71474FED}">
      <versionRange minVersion=" " maxVersion="3.3.0.3970"/>
    </emItem>

Can we please get a soft block (severity=1) for this? Samuel noted this as well up in comment 33 but I don't know what happened to that.
Comment 47 Michael Morgan [:morgamic] 2009-11-04 21:22:48 PST
Dave - will add the severity.  Bug 526706.
Comment 48 Jonathan Leech 2009-11-05 14:34:18 PST
I just noticed this addon blocked in my addon list and all I can say is THANK YOU THANK YOU THANK YOU! When my users encountered issues and I tracked them down I posted information in the Skype forums and entered issues in their JIRA system (which itself was affected by the buggy addon, doesn't appreciate irony any more?), but at the time I didn't know Mozilla was already tracking this, or that Firefox could even disable addons from the mothership. 
Web development is difficult enough dealing with different browsers, versions, OSes, feature support, and various incompatibilities, now addons and toolbars throw another variable into the mix. The blocklist mechanism looks like a good way to combat that problem, hope to see a faster response and maybe some sandboxing in the future.
There is one guy complaining about the block in the Skype forum referenced in comment #20, probably the same guy mentioned in #46.
Comment 49 Dave Garrett 2009-11-05 15:49:10 PST
(In reply to comment #47)
> Dave - will add the severity.  Bug 526706.

Thanks. Seeing it soft blocked now.

Noah sent me this link which seems to have the person with the issue I noted in comment 46: https://support.mozilla.com/en-US/forum/1/491641

Note You need to log in before you can comment on or make changes to this bug.